$(document).ready(function () {
    $("body").off('click').on("click", '.remove', remove);
//    $("body").on("focus blur change", '.item', getMsp);
    $("body").on("change", '.item', getMsp);
    $("body").on("dblclick", '.rate', showMsp);
    $("body").on("blur focus keyup click", '.qty, .rate, .amount, .discperc,.discount, .total, .remove, .roundoff, .totalamount,.discount2', caltran);
    $("body").on("blur focus keyup click", '.subtotal, .litemdisc, .cdiscperc, .cdiscamt, .coukg, .courate, .couamt, .netamt, .discount2, .ladvance, .lesother,.totalamount, .roundoff, .balance, .dcperc, .dcbperc, .dcamt, .remove', mainCal);
    $("body").on("focus change", '.srno_0, .prodtype', validProdType);
    $("body").on("change", '.prodtype', generatePrint);
    $("body").on("blur", '.rate, .discperc', validMsp);
    $("body").on("blur", '.rate', validMrp);
    $("body").on("blur change", '.barcode', GetItemFromCode);
    $("body").on("focus", '.rate', autoAddRows);
    $("body").on("focus blur", '.amount', storOtpSucs);
    $("body").on("blur", '.qty', noZeroAcptQty);
    $("body").on("blur", '.rate', noZeroAcptRate);
//    $("body").on("blur", '.cdiscperc, .lesother ', checkMspTotal);
//    $("body").on("blur", '.dcperc', checkDcPerc);
    $("body").on("click change blur", ".oms, .gstperc, .item", gethsn);
    $("body").on("click change blur", ".oms, .gstperc", getGSTPerc);
    $("body").on("click", "#autosale", getAutoSale);
    $("body").on("blur", ".rate", checkRateGst);
    $("body").on("focus change blur", ".qty,.rate", gethsn);
    $("body").on("click change", ".oms", gsttr);
    $("body").on("blur", ".rate", chkrate);
    $("body").on("change blur", ".party", changePrintName);

    $('body').on('change', '.party', getLogDate);

    function getLogDate() {
        var party = $(".party").val();
        $.get('chk_LogDate.php', {party: party}, function (data) {
            if (data != '0000-00-00') {
                $(".logdate").val(data);
            }
        });

    }
    changePrintName();
    function changePrintName() {
        var party = $(".party").val();
        if (party == "51") {
            $(".showname").show();
        } else {
            $(".showname").hide();
        }
    }

    function chkrate() {
        var tr = this
    }

    function gsttr() {
        $('.tbody').find('tr').each(function () {
            var row = $(this),
                    cgstrate = row.find('.cgstrate').val(),
                    igstrate = row.find('.igstrate').val(),
                    igstamt = row.find('.igstamt').val(),
                    cgstamt = row.find('.cgstamt').val();
            if ($('.oms').prop("checked") == true) {
                if (igstrate == 0) {
                    var nigstrt = cgstrate * 2,
                            nigstamt = cgstamt * 2;
                    row.find('.igstrate').val(nigstrt);
                    row.find('.igstamt').val(nigstamt);
                    row.find('.cgstrate').val(0);
                    row.find('.cgstamt').val(0);
                    row.find('.sgstrate').val(0);
                    row.find('.sgstamt').val(0);
                }


            } else {
                if (cgstrate == 0) {
                    var ncgstrt = igstrate / 2,
                            ncgstamt = igstamt / 2;
                    row.find('.cgstrate').val(ncgstrt);
                    row.find('.cgstamt').val(ncgstamt);
                    row.find('.sgstrate').val(ncgstrt);
                    row.find('.sgstamt').val(ncgstamt);
                    row.find('.igstrate').val(0);
                    row.find('.igstamt').val(0);

                }

            }
        });
        caltran();
    }



    function checkRateGst() {

        var tr = $(this).closest("tr"),
                rate = tr.find('.rate').val(),
                gstperc = tr.find('.gstperc').val();
        if (rate > 999) {
            $.post('checkGstRate.php', {gstperc: gstperc}, function (data) {
                if (data == 5) {
                    tr.find('.discperc').val('4.762');
//                    alert('Rate is Greater for this GST Type');
//                    tr.find('.rate').val(0);
//                    tr.find('.rate').focus();
                }
            });
        }
    }

    function caltran() {
        var tr = $(this).closest("tr");
        var amt = tr.find('.amount').val(),
                discperc = tr.find('.discperc').val(),
                otprowsucs = tr.find(".otprowsucs").val(),
                cgst5 = 0,
                cgst12 = 0,
                cgst18 = 0,
                cgst28 = 0,
                igst5 = 0,
                igst12 = 0,
                igst18 = 0,
                igst28 = 0,
                cgst5a = 0,
                cgst12a = 0,
                cgst18a = 0,
                cgst28a = 0,
                igst5a = 0,
                igst12a = 0,
                igst18a = 0,
                igst28a = 0,
                totgst5 = 0,
                totgst12 = 0,
                totgst18 = 0,
                totgst28 = 0,
                postamt = $('.postamt').val(),
                totbillamt = 0,
                discount = (discperc * amt) / 100,
                rdisc = Math.round(discount * 100) / 100;
        tr.find('.discamt').val(rdisc);
        var rate = tr.find(".rate").val(),
                actrate = rate;
        tr.find('.rate').val(actrate);

        var taxval = parseFloat(amt) - parseFloat(discount),
                rtaxval = Math.round(taxval * 100) / 100;

        tr.find('.subtot').val(rtaxval);

//        var cgstrate = tr.find('.cgstrate').val(),
//                sgstrate = tr.find('.sgstrate').val(),
//                igstrate = tr.find('.igstrate').val(),
////                igstrate = 0,
//                cgstamnt = parseFloat(taxval) * parseFloat(cgstrate) / 100,
//                sgstamnt = parseFloat(taxval) * parseFloat(sgstrate) / 100,
////                igstamnt = 0,
//                igstamnt = parseFloat(taxval) * parseFloat(igstrate) / 100,
//                total = parseFloat(cgstamnt) + parseFloat(sgstamnt) + parseFloat(igstamnt) + parseFloat(taxval),
//                rtotal = Math.round((total * 100) / 100);
//        tr.find('.cgstamt').val(cgstamnt.toFixed(2));
//        tr.find('.sgstamt').val(sgstamnt.toFixed(2));
//        tr.find('.igstamt').val(igstamnt.toFixed(2));
//        tr.find('.total').val(rtotal);

        var grosstot = 0,
                discamt = 0,
                subtot = 0;



        var val = 0;
        $(".amount").each(function () {
            if (!isNaN(this.value) && this.value.length != 0) {
                val += parseFloat(this.value);
            }
        });
        Math.round($(".subtotal").val(val));

//        var val2 = 0;
//        $(".discamt").each(function () {
//            if (!isNaN(this.value) && this.value.length != 0) {
//                val2 += parseFloat(this.value);
//            }
//        });
//        Math.round($(".litemdisc").val(val2));
//
//        var val3 = 0;
//        $(".mspamount").each(function () {
//            if (!isNaN(this.value) && this.value.length != 0) {
//                val3 += parseFloat(this.value);
//            }
//        });
//        Math.round($(".msptotal").val(val3));

        var val4 = 0;
        $(".subtot").each(function () {
            if (!isNaN(this.value) && this.value.length != 0) {
                val4 += parseFloat(this.value);
            }
        });
        Math.round($(".taxamt").val(val4));

//        var vald = 0;
//        $(".discount2").each(function () {
//            if (!isNaN(this.value) && this.value.length != 0) {
//                vald += parseFloat(this.value);
//            }
//        });
//        Math.round($(".lesother").val(vald));


        var val5 = 0;
        $(".total").each(function () {
            if (!isNaN(this.value) && this.value.length != 0) {
                val5 += parseFloat(this.value);
            }
        });
        Math.round($(".netamt").val(val5));
        Math.round($(".totalamount").val(val5));



        $('.tab').find('tr').each(function () {
            var row = $(this),
                    ipost = 0,
                    opost = 0,
                    qty = row.find(".qty").val(),
                    msp = row.find(".msp").val(),
                    rate = row.find(".rate").val(),
                    acrate = row.find(".rate").val(),
                    crate = row.find('.cgstrate').val(),
                    camt = row.find('.cgstamt').val(),
                    irate = row.find('.igstrate').val(),
                    iamt = row.find('.igstamt').val(),
                    discount2 = row.find('.discount2').val(),
                    amount = (parseFloat(qty) * parseFloat(rate)).toFixed(2);

            row.find(".amount").val(amount);


//            if (crate < 3) {
//                cgst5a = parseFloat(camt);
//                cgst5 += parseFloat(cgst5a);
//                igst5a = 0;
//            } else if (crate < 7) {
//                cgst12a = parseFloat(camt);
//                cgst12 += parseFloat(cgst12a);
//                igst12a = 0;
//            } else if (crate < 10) {
//                cgst18a = parseFloat(camt);
//                cgst18 += parseFloat(cgst18a);
//                igst18a = 0;
//            } else if (crate < 15) {
//                cgst28a = parseFloat(camt);
//                cgst28 += parseFloat(cgst28a);
//                igst28a = 0;
//            }
//
//            if (irate < 7) {
//                igst5a = parseFloat(iamt);
//                igst5 += parseFloat(igst5a);
//                cgst5a = 0;
//            } else if (irate < 13) {
//                igst12a = parseFloat(iamt);
//                igst12 += parseFloat(igst12a);
//                cgst12a = 0;
//            } else if (irate < 19) {
//                igst18a = parseFloat(iamt);
//                igst18 += parseFloat(igst18a);
//                cgst12a = 0;
//            } else if (irate < 29) {
//                igst28a = parseFloat(iamt);
//                igst28 += parseFloat(igst28a);
//                cgst28a = 0;
//            }
            mainCal();
        });

//        totgst5 = parseFloat(cgst5) + parseFloat(cgst5) + parseFloat(igst5);
//        totgst12 = parseFloat(cgst12) + parseFloat(cgst12) + parseFloat(igst12);
//        totgst18 = parseFloat(cgst18) + parseFloat(cgst18) + parseFloat(igst18);
//        totgst28 = parseFloat(cgst28) + parseFloat(cgst28) + parseFloat(igst28);
//
//        $('.cgst5').val(cgst5.toFixed(2));
//        $('.sgst5').val(cgst5.toFixed(2));
//        $('.igst5').val(igst5.toFixed(2));
//
//        $('.cgst12').val(cgst12.toFixed(2));
//        $('.sgst12').val(cgst12.toFixed(2));
//        $('.igst12').val(igst12.toFixed(2));
//
//        $('.cgst18').val(cgst18.toFixed(2));
//        $('.sgst18').val(cgst18.toFixed(2));
//        $('.igst18').val(igst18.toFixed(2));
//
//        $('.cgst28').val(cgst28.toFixed(2));
//        $('.sgst28').val(cgst28.toFixed(2));
//        $('.igst28').val(igst28.toFixed(2));
//
//        $('.totgst5').val(totgst5.toFixed(2));
//        $('.totgst12').val(totgst12.toFixed(2));
//        $('.totgst18').val(totgst18.toFixed(2));
//        $('.totgst28').val(totgst28.toFixed(2));

    }

    function gethsn() {
        var tr = $(this).closest("tr");
        var barcode = tr.find('.barcode').val();
        var item = tr.find('.item').val();
        var rate = tr.find('.rate').val();
        $.post('get_salegst.php', {barcode: barcode, item: item, rate: rate}, function (data) {
            tr.find('.discperc').val(data.discperc);
            if ($(".oms").prop('checked')) {
                tr.find('.igstrate').val(data.igst);
                tr.find('.cgstrate').val(0);
                tr.find('.sgstrate').val(0);
            } else {
                tr.find('.cgstrate').val(data.cgst);
                tr.find('.sgstrate').val(data.sgst);
                tr.find('.igstrate').val(0);
            }
        }, 'json');
    }


    function getAutoSale() {
        $("#saledtltab").find('tr').each(function () {
            var row = $(this);
            var amount = row.find('.amount').val();

            if (parseFloat(amount) > 0) {
                alert('Detail Part Should Be Empty');
            }

        });
        var vouchno = $('.vouchno').val(),
                netamt = $('.sufiamt').val(),
                gstperc = $('.gstperc').val(),
                prodtype = $(".prodtype").val(),
                party = $(".party").val();


        if (netamt <= 0) {
            alert('Sale Amount Cannot Be Zero');
        } else if (gstperc == '') {
            alert('GST Type Cannot Be Empty');
        } else if (prodtype == '') {
            alert('Product Type Cannot Be Empty');
        } else if (party == '') {
            alert('Party Cannot Be Empty');
        } else {
            $.post('get_autosale_data.php', {vouchno: vouchno, netamt: netamt, gstperc: gstperc, prodtype: prodtype}, function (data) {
                $("#saledtltab").html(data);
                $(".sufiamt").focus();
                mainCal();
                if (data != '') {

                    overAmt();
                }

            });
            $(".ccamt").val(netamt);

        }

        function overAmt() {
            var diffbal = $("#diffbal").val(),
                    taxableamt = $("#taxableamt").val(),
                    setamt = $("#setamt").val();
            if (setamt > diffbal) {
                alert('Remaining Stock is Only for Amount Rs.' + diffbal);
            }

        }
    }

    function getGSTPerc() {
        var gstperc = $(".gstperc").val();

        $.post('getGSTPerc.php', {gstperc: gstperc}, function (data) {

            var mgstperc = data.gstperc,
                    mgst = mgstperc / 2;

            if ($(".oms").prop('checked')) {
                $('.igstperc').val(mgstperc);
                $('.cgstperc').val(0);
                $('.sgstperc').val(0);

            } else {
                $('.cgstperc').val(mgst);
                $('.sgstperc').val(mgst);
                $('.igstperc').val(0);
            }

        }, 'json');
        mainCal();
    }

    function checkDcPerc() {
        var dcperc = $(".dcperc").val();

        $.post('getDcPerc.php', {dcperc: dcperc}, function (data) {
            var getdcPerc = data.commperc;

            if (parseFloat(dcperc) > parseFloat(getdcPerc)) {
                alert('Driver Commision Cannot Be Greater Than Fixed Commission');
                $(".dcperc").val("0");
            }
        }, 'json');
        mainCal();
    }

    $("#submit").hide();

    $("#finishTab").click(function () {
        var ccamt = $('.ccamt').val(),
                cashamt = $('.cashamt').val(),
                credamt = $('.credamt').val(),
                netamt = $('.netamt').val(),
                totcamt = parseFloat(ccamt) + parseFloat(cashamt) + parseFloat(credamt),
                valid = true;

        if (netamt != totcamt) {
            $('.ccamt').val('0');
            $('.cashamt').val('0');
            $('.credamt').val('0');
            $('.cashamt').focus();
            alert('Cash, CC , Credit Total Amount Should Be Same As Netamt');
            return false;
            valid = false;
        }
        
        var vouchdt = $(".vouchdt").val(),
                logdate = $(".logdate").val();
        if (logdate != '0000-00-00') {
            if (vouchdt < logdate) {
//            $("#overlay_form").show();
//            return false;
                alert('Voucher Date is Less than Log Date');
            }
        }



        if (valid) {
            var isValid = true;

            if (isValid) {
                $("#submit").show();
                $("#submit").click();

            }
        }
    });

    function noZeroAcptQty() {
        var $row = $(this).closest("tr"),
                mqty = $row.find(".qty").val();
        if (mqty > 0) {
        } else {
            alert('Qty Cannot be Zero');
            $row.find(".item").focus();
        }
    }
    function noZeroAcptRate() {
        var $row = $(this).closest("tr"),
                mrate = $row.find(".rate").val();

        if (mrate > 0) {
        } else {
            alert('Rate Cannot be Zero');
            $row.find(".mrp").focus();
        }
    }

    function storOtpSucs() {
        var $row = $(this).closest("tr"),
                mrate = $row.find(".rate").val(),
                motp = $(".otprecv").val(),
                mmsp = $row.find(".msp").val();
        if (motp != '') {
            if (mrate < mmsp) {
                $row.find(".otprowsucs").val("1");
                $row.find(".otpvalue").val(motp);
            } else {
                $row.find(".otprowsucs").val("");
                $row.find(".otpvalue").val("");
            }
        }
    }

    $(".gendsotp").click(function () {
        var party = $(".party").val(),
                subtotal = $(".subtotal").val(),
                vouchno = $(".vouchno").val(),
                salesman = $(".salesman").val(), msptotal = $(".msptotal").val(),
                cdiscamt = $(".cdiscamt").val(),
                lesother = $(".lesother").val(),
                totdisc = parseFloat(lesother) + parseFloat(cdiscamt),
                data = {party: party, subtotal: subtotal, vouchno: vouchno, salesman: salesman, msptotal: msptotal, totdisc: totdisc};

        $.ajax({
            type: 'GET',
            dataType: 'json',
            url: "getGenDiscOtp.php",
            data: data,
            success: function (response) {

                $("#overlay_form").show();
                $(".normotp").hide();
                $(".lesdsotp").show();
                var m = response;
                $(".otpdssend").val(m.otpdssend);
                alert("OTP Send to Registered Mobile No.");
                $(".otpdssend").focus();
            }
        });
    });

    function autoAddRows() {
//        if ($(this).closest("tr").is(":last-child")) {
        if ($(this).closest("tr")) {
            AddRows();
        }
    }

//    $(".subdsotp").click(function () {
//        var otpdsrecv = $(".otpdsrecv").val(),
//                otpdssend = $(".otpdssend").val();
//        if (otpdsrecv != '') {
//            if (otpdsrecv == otpdssend) {
//                $(".otpdssucs").val("1");
//                $(".disctotp").val(otpdsrecv);
//                $("#overlay_form").hide();
//                $(".cdiscperc").attr("readonly", true);
//                $(".cdiscamt").attr("readonly", true);
//                $(".lesother").attr("readonly", true);
//                $(".cdiscperc").focus();
////                $("#ssubmit").show();
//                $("#finishTab").show();
//
//            } else {
//                alert("OTP Does Not Match");
//                $(".otpdsrecv").val("");
//                $(".otpdssucs").val("");
//                $(".disctotp").val("");
//            }
//        }
//    });

    $(".subotp").click(function () {
        var otprecv = $(".otprecv").val(),
                otpsend = $(".otpsend").val();
        if (otprecv != '') {
            if (otprecv == otpsend) {
                $(".otpsucs").val("1");
                $("#overlay_form").hide();
                $("#finishTab").show();
//                $("#ssubmit").show();
//                $(".rate").focus();
                var trimidge = $("#idget").val();
                $("#rate" + trimidge).focus();

            } else {
                alert("OTP Does Not Match");
                $(".otprecv").val("");
                $(".otpsucs").val("");
            }
        }
    });


///////////////////////////////////////////////////IMP - START//////////////////////////////////////////////////

    function GetItemFromCode() {
        var $row = $(this).closest("tr");
        var itemcode = $row.find(".barcode").val();
        var prodtype = $(".prodtype").val();
        $.post('show_item_dtl.php', {itemcode: itemcode, prodtype: prodtype}, function (data) {
            if (data != '') {
                $row.find(".item").html(data).trigger("change");
//                $row.find(".item").html(data).trigger("change");

            }
//            $row.find(".itemcode").val(itemcode);
        });
    }

    function prodSelect() {
        var prodtype = $(".prodtype").val(),
                data = {prodtype: prodtype};

        $.ajax({
            type: 'GET',
            dataType: 'html',
            url: "getTypeItem.php",
            data: data,
            success: function (response) {
                var m = response;
                $(".item").html(m);
            },
            error: function (request, textStatus, errorThrown) {

            }
        });

    }

    function validMsp() {
        $(".ratemspless").show();
        var tr = $(this).closest("tr"),
                otpsucs = $(".otpsucs").val(),
                otprowsucs = tr.find(".otprowsucs").val(),
                itemname = tr.find(".item").val(),
                rate = tr.find(".rate").val(),
                msp = tr.find(".msp").val(),
                mrp = tr.find(".mrp").val(),
                qty = tr.find(".qty").val(),
                srno = tr.find(".srno").val(),
                total = tr.find(".total").val(),
                discperc = tr.find(".discperc").val(),
                idget = $(this).attr('id'),
                mspamt = parseFloat(msp) * parseFloat(qty);
        if (otpsucs == "1" || otprowsucs == "1") {

        } else {
            if (rate > 0) {
                if (parseFloat(rate) < parseFloat(msp) && parseFloat(rate) != parseFloat(msp)) {
//                alert("Rate Cannot Be Less Than M.S.P");
                    $("#overlay_form").show();
                    $("#close_form1").hide();
                    $("#close_form").show();

                    $(".normotp").show();
                    $(".lesdsotp").hide();
//                var myEcho = "<h3>M.S.P = " + msp + "</h3>";
                    $(".genotp").show();
                    $("#browdata").val(msp);
                    $("#rowitm").val(itemname);
                    $("#rowsrno").val(srno);
                    $("#rowqty").val(qty);
                    $("#rowrate").val(rate);
                    $("#rowmsp").val(msp);
                    $("#rowmrp").val(mrp);

                    var newidget = idget.substring(4, 10),
                            trimidget = newidget;
                    $("#idget").val(trimidget);
//                    tr.find(".rate").val("0");
                    tr.find(".rate").attr("readonly", true);
                    $("#finishTab").hide();
//                    $("#ssubmit").hide();
//                    tr.find(".rate").focus();

                }
                if (discperc > 0) {
                    if (parseFloat(total) < parseFloat(mspamt) && parseFloat(total) != parseFloat(mspamt)) {
                        alert("Total Cannot Be Less Than M.S.P-Total");
                        tr.find(".discperc").val("0");
                        tr.find(".discount").val("0");
                        tr.find(".discperc").focus();

                    }
                }
            }
        }
    }

    function validMrp() {
//        var tr = $(this).closest("tr"),
//                rate = tr.find(".rate").val(),
//                mrp = tr.find(".mrp").val();
//        if (rate > 0) {
//            if (parseFloat(rate) > parseFloat(mrp)) {
//                alert("Rate Cannot Be Greater Than M.R.P");
//                tr.find(".rate").val("0");
//            }
//        }
    }

    if ($(".prodtype").val() == "") {
        $(".item").prop("disabled", true);
        $(".barcode").prop("disabled", true);
        $(".myPrint").attr("href", "");
    }

    function generatePrint() {
        var vouch = $(".vouchno").val();
        var prodtype = $(".prodtype").val();


        if (prodtype == "P") {
            $(".myPrint").attr("href", "salep_print.php?vouchno=" + vouch);
            $(".myPrint").attr("target", "_blank");
        } else {
            $(".myPrint").attr("href", "#");
            $(".myPrint").attr("target", "");
        }
    }
    generatePrint();

    $(document).keydown(function (e) {
        if (e.ctrlKey && (String.fromCharCode(e.which).toLowerCase() === 'm')) {
            rajEvent = new Event('CTR+M');
            document.dispatchEvent(rajEvent);
        }
    });

    $(document).keydown(function (e) {
        if (e.ctrlKey && e.altKey && (String.fromCharCode(e.which).toLowerCase() === 'b')) {
            rajEvent = new Event('CTR+B');
            document.dispatchEvent(rajEvent);
        }
    });

    document.addEventListener('CTR+M', showMsp, false);
    document.addEventListener('CTR+B', showPrint, false);

    function showPrint() {
        var vouchno = $(".vouchno").val();
        var prodtype = $(".prodtype").val();
        if (prodtype == "P") {
            window.open("salep_print.php?vouchno=" + vouchno, "_blank");
        }
    }

    $(".genotp").click(function () {
        var rowitem = $(".rowitm").val(),
                rowqty = $(".rowqty").val(),
                rowrate = $(".rowrate").val(),
                rowmsp = $(".rowmsp").val(),
                rowmrp = $(".rowmrp").val(),
                vouchno = $(".vouchno").val(),
                salesman = $(".salesman").val(),
                data = {rowitem: rowitem, rowqty: rowqty, rowrate: rowrate, vouchno: vouchno, salesman: salesman, rowmsp: rowmsp, rowmrp: rowmrp};

        $.ajax({
            type: 'GET',
            dataType: 'json',
            url: "getGenratedOtp.php",
            data: data,
            success: function (response) {
                var m = response;
                $(".otpsend").val(m.otpsend);
                $("#browdata").val(m.msp);
                alert("OTP Send to Registered Mobile No.");
                $(".otpsend").focus();
            }
        });
    });

    function getMsp() {
        var tr = $(this).closest("tr"),
                itemname = tr.find(".item").val(),
                rate = tr.find(".rate").val(),
                ratebfdisc = tr.find(".ratebfdisc").val(),
                data = {name: itemname};

        $.ajax({
            type: 'GET',
            dataType: 'json',
            url: "get_itemrate_dtl.php",
            data: data,
            success: function (response) {
                var m = response;
                tr.find(".barcode").val(itemname);
                tr.find(".mrp").val(m.mrp);
                tr.find(".hsncode").val(m.hsncode);
//                if (rate > 0) {
//                    tr.find(".rate").val(rate);
////                    tr.find(".ratebfdisc").val(ratebfdisc);
//                } else {
                tr.find(".rate").val(m.cost);
//                    tr.find(".ratebfdisc").val(m.rate);

//                }

                tr.find(".msp").val(m.msp);
                tr.find(".unit").val(m.unit).trigger("change");
//                $("#overlay_form").show();
                var myEcho = "<h3>M.S.P = " + m.msp + "</h3>";
                $(".genotp").hide();
                $("#browdata").html(myEcho);
            }
        });
    }

    function showMsp() {
//        var tr = $(this).closest("tr"),
//                itemname = tr.find(".item").val(),
//                data = {itemname: itemname};


        var itemname = $(document.activeElement.closest("tr")).find('.item').val(),
                data = {itemname: itemname};


        $.ajax({
            type: 'GET',
            dataType: 'json',
            url: "getItemMsp.php?m=a",
            data: data,
            success: function (response) {
                var m = response;
                var str = "MSP  = " + m.msp;
                var result = str;


                alert(result);
//                $("#overlay_form").show();
//                var myEcho = "<h3>M.S.P = " + m.msp + "</h3>";
//                $("#browdata").html(myEcho);
//                $(".ratemspless").hide();
//                $(".lesdsotp").hide();
////                $(".normotp").show();
//                $(".close_form1").hide();
//                $(".genotp").hide();
            }
        });
    }

    function validProdType() {
        var prodtype = $(".prodtype").val();

        if (prodtype == "") {
            $(".barcode").prop("disabled", true)
            $(".item").prop("disabled", true)
            $(".prodtype").select2("open");
            alert("Please Select The Product Type");
        } else {
            $(".barcode").prop("disabled", false);
            $(".item").prop("disabled", false);
        }
    }

///////////////////////////////////////////////////IMP - END//////////////////////////////////////////////////

///////////////////////////////////////////////////CALCULATION - START//////////////////////////////////////////////////



    function mainCal() {
        var subtotal = $(".subtotal").val(),
                cdiscperc = $(".cdiscperc").val(),
                cdiscamt = ((subtotal * cdiscperc) / 100).toFixed(2),
//                cdiscamt = (((subtotal - litemdisc) * cdiscperc) / 100).toFixed(2),
                coukg = $('.coukg').val(),
                courate = $(".courate").val(),
                lesother = $(".lesother").val(),
                couamt = (parseFloat(coukg) * parseFloat(courate)).toFixed(2);
        var netamt = (parseFloat(subtotal) - parseFloat(lesother)).toFixed(0),
                ladvance = $(".ladvance").val(),
                balance = (parseFloat(netamt) - parseFloat(ladvance)).toFixed(0),
                dcperc = $(".dcperc").val(),
                dcbperc = $(".dcbperc").val(),
                dcamt = Math.round((netamt * dcbperc / 100) * dcperc / 100);
        $(".totalamount ").val(netamt);

        if (dcamt > 0) {
            if (dcamt > netamt) {
                $(".dcbperc").val("0");
//                $(".dcamt").val("0");
                alert('Driver Amount Cannot Be Greater than Net Amount');
                $(".dcperc").focus();
            }
        }

        var totalamount = $(".totalamount").val(),
                roundoff = $(".roundoff").val(),
                final = parseFloat(totalamount) + parseFloat(roundoff);
        $(".netamt").val(final);
        $(".credamt").val(final);




        $(".cdiscamt").val(cdiscamt);
        $(".couamt").val(couamt);
//        $(".netamt").val(netamt);
        $(".balance").val(balance);
        $(".dcamt").val(dcamt);

//        $(".taxamt").val(taxable.toFixed(2));
//        $(".igstamt").val(igstamt.toFixed(2));
//        $(".cgstamt").val(cgstamt.toFixed(2));
//        $(".sgstamt").val(sgstamt.toFixed(2));


    }

    printLast();

    function printLast() {
        var vouchno = $(".vouchno").val(),
                para = $(".para").val(),
                link = "salegstmulti_print.php?vouchno=" + vouchno;

        $.ajax({
            type: "POST",
            datatype: "json",
            data: {vouchno: vouchno},
            url: "print_last.php",
            success: function (response) {
                if (response.success == true) {
                    window.open(link, "_blank");
                }
            },
            error: function (request, errorThrown, textStatus) {

            }
        });
    }


    function checkMspTotal() {
        var subtotal = $(".subtotal").val(),
                cdiscamt = $(".cdiscamt").val(),
//                cdiscamt = (((subtotal - litemdisc) * cdiscperc) / 100).toFixed(2),
                lesother = $(".lesother").val(),
                msptotal = $(".msptotal").val(),
//                msptotal = $(".msptotal").val(),
                otpdssucs = $(".otpdssucs").val(),
                newtotal = subtotal - cdiscamt - lesother;
        if (otpdssucs == "1") {
            $("#finishTab").show();
//            $("#ssubmit").show();

        } else {
            if (msptotal > newtotal) {
                $("#overlay_form").show();
                $("#finishTab").hide();
//                $("#ssubmit").hide();
                $(".normotp").hide();
                $(".lesdsotp").show();
                $("#close_form1").show();
                $("#close_form").hide();

            } else {
                $("#overlay_form").hide();
                $("#finishTab").show();
//                $("#ssubmit").show();

            }
        }


    }
///////////////////////////////////////////////////CALCULATION - END  //////////////////////////////////////////////////


    $("#close_form").click(function () {
        var trimidge = $("#idget").val();

        $("#rate" + trimidge).removeAttr("readonly", true);
//        $(".rate").removeAttr("readonly", true);
//        alert("rate" + trimidge);
        $("#rate" + trimidge).focus();
        $("#rate" + trimidge).val("0");
        $("#overlay_form").hide();

//        $(".rate").val("0");
        $("#finishTab").show();
//        $("#ssubmit").show();


    });
    $("#close_form1").click(function () {
        $("#overlay_form").hide();
//        $(".les").removeAttr("readonly", true);
        $(".cdiscperc").val("0");
        $(".cdiscamt").val("0");
        $(".lesother").val("0");
        $(".cdiscperc").focus();
        $("#finishTab").show();
//        $("#ssubmit").show();


    });
    $('#addnew').click(function () {
        AddRows();
    });
    function remove() {
        $(this).closest("tr").remove();
    }

    function AddRows() {
        var ctr = $('#items').val();
//        var prodtype = $('.prodtype').val();
        var hide_check = "";
        if ($("#del_all").prop("checked")) {
            hide_check = 0;
        } else {
            hide_check = 1;
        }
//        $(".otpsend").val("");
//        $(".otprecv").val("");
//        $(".otpsucs").val("");
//        $(".otprowsucs").val("");
//        $(".otpvalue").val("");
//        $(".idget").val("");
        var detail = ".fetchpart_" + ctr;
        $.post('repairgiven_add.php', {ctr: ctr, hide: hide_check}, function (data) {
            $(data).appendTo('.tbody');
            ctr++;
            $('#items').val(ctr);
            $(detail).select2();
        });
//        $(".barcode").focus();
    }

});